/*
 *  linux/include/asm-arm/arch-clps711x/armadillo.h
 *
 *  Copyright (C) 2001 Atmark Techno, Inc.
 */

#ifndef __ASM_ARCH_ARMADILLO_H
#define __ASM_ARCH_ARMADILLO_H

#include <asm/arch/hardware.h>
#include <asm/types.h>

#define MISCREG(type,off) (*(volatile type *)(MISCREG_BASE + off))

#define MISCREG_INTCR1    MISCREG(u8, 0x0)
#define MISCREG_INTCR2    MISCREG(u8, 0x2)
#define MISCREG_INTCR3    MISCREG(u8, 0x4)
#define MISCREG_INTMR1    MISCREG(u8, 0x8)
#define MISCREG_INTMR2    MISCREG(u8, 0xa)
#define MISCREG_INTMR3    MISCREG(u8, 0xc)
#define MISCREG_IDEMODE   MISCREG(u8, 0xe)
#define MISCREG_INTSR1    MISCREG_INTCR1
#define MISCREG_INTSR2    MISCREG_INTCR2
#define MISCREG_INTSR3    MISCREG_INTCR3

#define MISCREG_ISA15     (1 << 2)
#define MISCREG_IDE       (1 << 1)
#define MISCREG_ISA12     (1 << 0)
#define MISCREG_ISA11     (1 << 3)
#define MISCREG_ISA10     (1 << 2)
#define MISCREG_ISA9      (1 << 1)
#define MISCREG_ISA7      (1 << 0)
#define MISCREG_ISA6      (1 << 3)
#define MISCREG_ISA5      (1 << 2)
#define MISCREG_ISA4      (1 << 1)
#define MISCREG_ISA3      (1 << 0)

#define MISCREG_IDEPIO3   (1 << 0)

extern volatile u8 miscreg_intmr1;
extern volatile u8 miscreg_intmr2;
extern volatile u8 miscreg_intmr3;
extern volatile u8 miscreg_idemode;

#endif
